Package ru.bitel.bgbilling.kernel.script.common.bean

# Class EventScriptLink

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.common.model.IdTitle
ru.bitel.bgbilling.kernel.script.common.bean.EventScriptLink

All Implemented Interfaces:
  `Serializable`, `GuiTitlable`, `Idable`, `ListItem`

public class EventScriptLink extends IdTitle
Привязка функции скрипта поведения к динамическим Java-классам.

See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class ru.bitel.common.model.IdTitle

  `NO_SELECT`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `EventScriptLink()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getClassName()`
  Возвращает имя класса.
  `String`
  `getEventKey()`
  Возвращает код события.
  `int`
  `getScriptId()`
  Возвращает код скрипта.
  `void`
  `setClassName(String className)`
  Устанавливает имя класса.
  `void`
  `setEventKey(String eventKey)`
  Устанавливает код события.
  `void`
  `setScriptId(int scriptId)`
  Устанавливает код скрипта.

  ### Methods inherited from class ru.bitel.common.model.IdTitle

  `copyTo, getGuiTitle, getTitle, setAsNoSelect, setId, setTitle, to, toIdTitle, toString`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface ru.bitel.common.model.ListItem

  `getId`

- ## Constructor Details

  - ### EventScriptLink

    public EventScriptLink()

- ## Method Details

  - ### getEventKey

    public String getEventKey()
    Возвращает код события.
    Returns:

  - ### setEventKey

    public void setEventKey(String eventKey)
    Устанавливает код события.
    Parameters:
      `eventId` -

  - ### getScriptId

    public int getScriptId()
    Возвращает код скрипта.
    Returns:

  - ### setScriptId

    public void setScriptId(int scriptId)
    Устанавливает код скрипта.
    Parameters:
      `scriptId` -

  - ### getClassName

    public String getClassName()
    Возвращает имя класса.
    Returns:

  - ### setClassName

    public void setClassName(String className)
    Устанавливает имя класса.
    Parameters:
      `className` -